{ pkgs ? import <nixpkgs> {} }:

pkgs.mkShell rec {
    buildInputs = with pkgs; [
      rustup
    ];
    RUSTC_VERSION = "stable"; 
    shellHook = ''
      rustup default $RUSTC_VERSION
      rustup component add rust-analyzer
      export PATH=$PATH:''${CARGO_HOME:-~/.cargo}/bin
    '';
}
